com.here.msdkui.guidance

## Class GuidanceStreetLabelData

- java.lang.Object
- - com.here.msdkui.guidance.GuidanceStreetLabelData

- All Implemented Interfaces:
    android.os.Parcelable

      public class GuidanceStreetLabelData
      extends java.lang.Object
      implements android.os.Parcelable

  A data class holding the current street name and a background color to be fed into the `GuidanceStreetLabelView`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<GuidanceStreetLabelData>` | `CREATOR` Creator for parcelable.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidanceStreetLabelData(java.lang.String currentStreet, int backgroundColor)` Constructs a new instance using provided street name and background color.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `int` | `getBackgroundColor()` Gets background color to be used by `GuidanceStreetLabelView`.
    `java.lang.String` | `getCurrentStreetName()` Gets name of the current street.
    `void` | `writeToParcel(android.os.Parcel dest, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final android.os.Parcelable.Creator<GuidanceStreetLabelData> CREATOR

      Creator for parcelable.

  - ### Constructor Detail

    - #### GuidanceStreetLabelData

          public GuidanceStreetLabelData(java.lang.String currentStreet,
                                         int backgroundColor)

      Constructs a new instance using provided street name and background color.
      Parameters:
        `currentStreet` - name of the street.
        `backgroundColor` - a color value for a background used by `GuidanceStreetLabelView`.

  - ### Method Detail

    - #### getCurrentStreetName

          public java.lang.String getCurrentStreetName()

      Gets name of the current street.
      Returns:
        name of the street.

    - #### getBackgroundColor

          public int getBackgroundColor()

      Gets background color to be used by `GuidanceStreetLabelView`.
      Returns:
        a color value.

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `android.os.Parcelable`

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`